diff -Nrc2 fontutils-0.5/limn/xserver.c fontutils-0.6/limn/xserver.c
*** fontutils-0.5/limn/xserver.c	Fri Jun  5 09:20:27 1992
--- fontutils-0.6/limn/xserver.c	Mon Oct  5 12:29:33 1992
***************
*** 26,31 ****
  
  #include "xserver.h"
- 
- 
  
  /* For the resource database.  */
--- 26,29 ----
***************
*** 55,60 ****
    long l[5];
  } message_data_type;
- 
- 
  
  static void dispatch_message (Atom, message_data_type);
--- 53,56 ----
***************
*** 62,67 ****
  static void foserver_update_pixmap (Pixmap);
  static void message_handler (Widget, XEvent *, String *, Cardinal *);
- 
- 
  
  void
--- 58,61 ----
***************
*** 70,74 ****
  {
    unsigned window_size;
!   string identity; /* This will be the contents of the identity_atom */
  #else /* not STANDALONE_SERVER */
  start_server (unsigned window_size, string identity)
--- 64,68 ----
  {
    unsigned window_size;
!   string identity; /* This will be the contents of `identity_atom'.  */
  #else /* not STANDALONE_SERVER */
  start_server (unsigned window_size, string identity)
***************
*** 183,188 ****
      WARNING1 ("foserver: Unknown message `%s'", XGetAtomName (display, a));
  }
! 
! 
  /* Shut down.  */
  
--- 177,181 ----
      WARNING1 ("foserver: Unknown message `%s'", XGetAtomName (display, a));
  }
! 
  /* Shut down.  */
  
diff -Nrc2 fontutils-0.5/pbm/ChangeLog fontutils-0.6/pbm/ChangeLog
*** fontutils-0.5/pbm/ChangeLog	Thu Sep  3 09:31:14 1992
--- fontutils-0.6/pbm/ChangeLog	Tue Oct 27 13:02:51 1992
***************
*** 1,2 ****
--- 1,11 ----
+ Tue Oct 27 12:56:21 1992  Karl Berry  (karl@cs.umb.edu)
+ 
+ 	* Version 0.6.
+ 
+ Tue Sep 15 08:39:17 1992  Karl Berry  (karl@hayley)
+ 
+         * libpbm1.c (malloc, free, exit): don't declare these, rely on
+           config.h.
+ 
  Thu Sep  3 09:31:14 1992  Karl Berry  (karl@hayley)
  
diff -Nrc2 fontutils-0.5/pbm/M.depend fontutils-0.6/pbm/M.depend
*** fontutils-0.5/pbm/M.depend	Wed Sep  2 17:20:10 1992
--- fontutils-0.6/pbm/M.depend	Sun Oct 25 14:15:30 1992
***************
*** 1,3 ****
! libpbm1.o : libpbm1.c .././include/pbm.h .././include/pbmplus.h libpbm.h 
! libpbm2.o : libpbm2.c .././include/pbmplus.h .././include/pbm.h libpbm.h 
! libpbm4.o : libpbm4.c .././include/pbm.h .././include/pbmplus.h libpbm.h 
--- 1,12 ----
! libpbm1.o : libpbm1.c .././include/pbm.h .././include/pbmplus.h .././include/config.h \
!   .././include/c-auto.h .././include/c-std.h .././include/c-memstr.h .././include/c-errno.h \
!   .././include/c-minmax.h .././include/c-limits.h .././include/c-seek.h .././include/c-proto.h \
!   .././include/global.h .././include/lib.h .././include/types.h libpbm.h 
! libpbm2.o : libpbm2.c .././include/pbmplus.h .././include/config.h .././include/c-auto.h \
!   .././include/c-std.h .././include/c-memstr.h .././include/c-errno.h .././include/c-minmax.h \
!   .././include/c-limits.h .././include/c-seek.h .././include/c-proto.h .././include/global.h \
!   .././include/lib.h .././include/types.h .././include/pbm.h libpbm.h 
! libpbm4.o : libpbm4.c .././include/pbm.h .././include/pbmplus.h .././include/config.h \
!   .././include/c-auto.h .././include/c-std.h .././include/c-memstr.h .././include/c-errno.h \
!   .././include/c-minmax.h .././include/c-limits.h .././include/c-seek.h .././include/c-proto.h \
!   .././include/global.h .././include/lib.h .././include/types.h libpbm.h 
diff -Nrc2 fontutils-0.5/pbm/libpbm1.c fontutils-0.6/pbm/libpbm1.c
*** fontutils-0.5/pbm/libpbm1.c	Sat Mar  7 10:02:01 1992
--- fontutils-0.6/pbm/libpbm1.c	Tue Sep 15 08:39:31 1992
***************
*** 10,14 ****
  ** implied warranty.
  **
! ** Minor changes to avoid compiler warnings --karl, 22 July 1991.
  */
  
--- 10,14 ----
  ** implied warranty.
  **
! ** Minor configuration changes for GNU --karl.
  */
  
***************
*** 16,22 ****
--- 16,25 ----
  #include "libpbm.h"
  #include <varargs.h>
+ 
+ #if 0 /* karl */
  extern char *malloc ();
  extern void free ();
  extern void exit ();
+ #endif
  
  /* Variable-sized arrays. */
diff -Nrc2 fontutils-0.5/pbm/pbmascii.c fontutils-0.6/pbm/pbmascii.c
*** fontutils-0.5/pbm/pbmascii.c	Fri Jun  5 09:20:27 1992
--- fontutils-0.6/pbm/pbmascii.c	Fri Oct 23 07:14:42 1992
***************
*** 9,13 ****
    int width, height, format;
    unsigned row;
!   char *image_row;
    
    pbm_readpbminit (stdin, &width, &height, &format);
--- 9,13 ----
    int width, height, format;
    unsigned row;
!   unsigned char *image_row;
    
    pbm_readpbminit (stdin, &width, &height, &format);
***************
*** 33,37 ****
  /*
  Local variables:
! compile-command: "gcc -o pbmascii pbmascii.c pbm.a -lcposix"
  End:
  */
--- 33,37 ----
  /*
  Local variables:
! compile-command: "gcc -g -posix -o pbmascii pbmascii.c pbm.a"
  End:
  */
diff -Nrc2 fontutils-0.5/pk/ChangeLog fontutils-0.6/pk/ChangeLog
*** fontutils-0.5/pk/ChangeLog	Thu Sep  3 09:31:18 1992
--- fontutils-0.6/pk/ChangeLog	Tue Oct 27 13:02:51 1992
***************
*** 1,2 ****
--- 1,6 ----
+ Tue Oct 27 12:56:27 1992  Karl Berry  (karl@cs.umb.edu)
+ 
+ 	* Version 0.6.
+ 
  Thu Sep  3 09:31:18 1992  Karl Berry  (karl@hayley)
  
diff -Nrc2 fontutils-0.5/tfm/ChangeLog fontutils-0.6/tfm/ChangeLog
*** fontutils-0.5/tfm/ChangeLog	Thu Sep  3 09:31:23 1992
--- fontutils-0.6/tfm/ChangeLog	Tue Oct 27 13:02:51 1992
***************
*** 1,2 ****
--- 1,11 ----
+ Tue Oct 27 12:56:39 1992  Karl Berry  (karl@cs.umb.edu)
+ 
+ 	* Version 0.6.
+ 
+ Mon Oct 19 08:11:44 1992  Karl Berry  (karl@cs.umb.edu)
+ 
+ 	* tfm_input.c (tfm_get_chars): Return the newly malloced array,
+ 	not the static variable.
+ 
  Thu Sep  3 09:31:23 1992  Karl Berry  (karl@hayley)
  
diff -Nrc2 fontutils-0.5/tfm/tfm_input.c fontutils-0.6/tfm/tfm_input.c
*** fontutils-0.5/tfm/tfm_input.c	Tue Jul  7 16:45:52 1992
--- fontutils-0.6/tfm/tfm_input.c	Mon Oct 19 08:13:02 1992
***************
*** 305,309 ****
         this_char <= global_info->last_charcode;
         this_char++)
!     /* This fills in the `tfm_chars' global.  */
      (void) tfm_get_char (this_char);
  
--- 305,309 ----
         this_char <= global_info->last_charcode;
         this_char++)
!     /* This fills in the `tfm_char_table' global.  */
      (void) tfm_get_char (this_char);
  
***************
*** 311,319 ****
    tfm_chars = XTALLOC (TFM_SIZE, tfm_char_type);
    memcpy (tfm_chars, tfm_char_table, sizeof (tfm_char_table));
!   return tfm_char_table;
  }
  
  
! /* Read the character CODE.  If the character doesn't exist, return NULL.  */
  
  tfm_char_type *
--- 311,321 ----
    tfm_chars = XTALLOC (TFM_SIZE, tfm_char_type);
    memcpy (tfm_chars, tfm_char_table, sizeof (tfm_char_table));
!   return tfm_chars;
  }
  
  
! /* Read the character CODE.  If the character doesn't exist, return
!    NULL.  If it does, save the information in `tfm_char_table', as well
!    as returning it.  */
  
  tfm_char_type *
diff -Nrc2 fontutils-0.5/widgets/ChangeLog fontutils-0.6/widgets/ChangeLog
*** fontutils-0.5/widgets/ChangeLog	Thu Sep  3 09:31:30 1992
--- fontutils-0.6/widgets/ChangeLog	Tue Oct 27 13:02:51 1992
***************
*** 1,2 ****
--- 1,6 ----
+ Tue Oct 27 12:56:45 1992  Karl Berry  (karl@cs.umb.edu)
+ 
+ 	* Version 0.6.
+ 
  Thu Sep  3 09:31:30 1992  Karl Berry  (karl@hayley)
  
diff -Nrc2 fontutils-0.5/xbfe/ChangeLog fontutils-0.6/xbfe/ChangeLog
*** fontutils-0.5/xbfe/ChangeLog	Thu Sep  3 09:31:33 1992
--- fontutils-0.6/xbfe/ChangeLog	Tue Oct 27 13:02:50 1992
***************
*** 1,2 ****
--- 1,6 ----
+ Tue Oct 27 13:02:23 1992  Karl Berry  (karl@cs.umb.edu)
+ 
+ 	* Version 0.6.
+ 
  Thu Sep  3 09:31:33 1992  Karl Berry  (karl@hayley)
  
diff -Nrc2 fontutils-0.5/xbfe/version.c fontutils-0.6/xbfe/version.c
*** fontutils-0.5/xbfe/version.c	Thu Sep  3 09:46:21 1992
--- fontutils-0.6/xbfe/version.c	Tue Oct 27 13:28:00 1992
***************
*** 1 ****
! char *version_string = "xbfe version 0.5";
--- 1 ----
! char *version_string = "xbfe version 0.6";
